<tool id="DicomToNiftiLongPath" name="Dicom to Nifti converter" version="0.2">
  <authors>
    <author name="Hakim Achterberg" email="h.achterberg@erasmusmc.nl" url="http://www.bigr.nl/people/HakimAchterberg"/>
    <author name="Marcel Zwiers" email="m.zwiers@donders.ru.nl" url="http://www.ru.nl/donders"/>
    <author name="Adriaan Versteeg" email="a.versteeg@erasmusmc.nl" url="http://www.bigr.nl/people/AdriaanVersteeg"/>
  </authors>
  <command version="0.2" url="">
    <targets>
        <target os="linux" arch="*"  module="mricron" interpreter="bash" paths="bin/" bin="dcm2nii.bash"/>
        <target os="darwin" arch="*" module="mricron" interpreter="bash" paths="bin/" bin="dcm2nii.bash"/>
    </targets>
    <description>
    </description>
    <license/>
    <authors>
      <author name="Chris Rorden"/>
    </authors>
  </command>
  <interface>
    <inputs>
      <!--input id="ini_file" name="Load settings from specified inifile"
             prefix="-b" datatype="AnyFile" cardinality="1" required="False"/-->
      <!--input id="4D_flag" name="Create 4D volumes, else DTI/fMRI saved as many 3D volumes: Y,N = Y"
             prefix="-4" datatype="String" cardinality="1" required="False" default="Y"/>
      <input id="3D_flag" name="Create 3D volumes: Y,N = N"
             prefix="-3" datatype="String" cardinality="1" required="False"/-->
      <input id="anonymize_flag" name="Anonymize [remove identifying information]: Y,N = Y"
             prefix="-a" datatype="String" cardinality="1" required="False"/>
      <input id="collapse_flag" name="Collapse input folders: Y,N = Y"
             prefix="-c" datatype="String" cardinality="1" required="False"/>
      <input id="gzip_flag" name="Gzip output, filename.nii.gz: Y,N = Y"
             prefix="-g" datatype="String" cardinality="1" required="False" default="Y"/>
      <input id="reorient_flag" name="Reorient image to nearest orthogonal: Y,N = Y"
             prefix="-r" datatype="String" cardinality="1" required="False" default="Y"/>
      <input id="crop_flag" name="Reorient and crop 3D NIfTI images: Y,N = Y"
             prefix="-x" datatype="String" cardinality="1" required="False" default="Y"/>
      <input id="report_flag" name="Text report (patient and scan details): Y,N = Y"
             prefix="-t" datatype="String" cardinality="1" required="False" default="Y"/>
      <input id="dicom_image" name="Dicom Image/Directory" datatype="DicomImageFile"
             order="0" cardinality="unknown" required="true"/>
    </inputs>
    <outputs>
      <output id="directory" name="Output directory" required="True"
              datatype="Directory" cardinality="1"
              order="0" prefix="-o" action="ensure"/>
      <output id="image" name="Output Image"
              datatype="NiftiImageFile" cardinality="unknown"
              automatic="True" method="path" location="{output.directory[0]}/\d\d\d\d\d\d\d\d.*\.nii(\.gz)?"/>
      <output id="image_reorient" name="Reoriented output Image"
              datatype="NiftiImageFile" cardinality="unknown" required="False"
              automatic="True" method="path" location="{output.directory[0]}/o\d\d\d\d\d\d\d\d.*\.nii(\.gz)?"/>
      <output id="image_cropped" name="Reoriented and cropped output Image"
              datatype="NiftiImageFile" cardinality="unknown" required="False"
              automatic="True" method="path" location="{output.directory[0]}/co\d\d\d\d\d\d\d\d.*\.nii(\.gz)?"/>
      <output id="report" name="Text report (patient and scan details)"
              datatype="TxtFile" cardinality="unknown" required="False"
              automatic="True" method="path" location="{output.directory[0]}/\d\d\d\d\d\d\d\d.*\.txt"/>
      <!--output id="bval" name="Output B-values"
              datatype="BValueFile" cardinality="1" required="False"
              automatic="True" method="path" location="{output.directory[0]}/\d\d\d\d\d\d\d\d.*\.bval"/>
      <output id="bvec" name="Output B-vectors"
              datatype="BVectorFile" cardinality="1" required="False"
              automatic="True" method="path" location="{output.directory[0]}/\d\d\d\d\d\d\d\d.*\.bvec"/-->
    </outputs>
  </interface>
  <requirements/>
  <tests/>
  <help>
  </help>
  <cite>
  </cite>
  <references/>
</tool>

<!--
Chris Rorden's dcm2nii :: 1JUNE2015 64bit BSD License
reading preferences file /home/mrphys/marzwi/.dcm2nii/dcm2nii.ini
Either drag and drop or specify command line options:
  dcm2nii <options> <sourcenames>
OPTIONS:
-4 Create 4D volumes, else DTI/fMRI saved as many 3D volumes: Y,N = Y
-3 : Y,N = N
-a Anonymize [remove identifying information]: Y,N = Y
-b Load settings from specified inifile, e.g. '-b C:\set\t1.ini'  
-c Collapse input folders: Y,N = Y
-d Date in filename [filename.dcm -> 20061230122032.nii]: Y,N = Y
-e Events (series/acq) in filename [filename.dcm -> s002a003.nii]: Y,N = Y
-f Source filename [e.g. filename.par -> filename.nii]: Y,N = N
-g Gzip output, filename.nii.gz [ignored if '-n n']: Y,N = Y
-i ID  in filename [filename.dcm -> johndoe.nii]: Y,N = N
-k sKip initial n volumes in fMRI, e.g. '-k 2':  = 0
-l pLanar RGB (Y=old Analyze; N=new VTK NIfTI): Y,N = N
-m Manually prompt user to specify output format [NIfTI input only]: Y,N = Y
-n Output .nii file [if no, create .hdr/.img pair]: Y,N = Y
-o Output Directory, e.g. 'C:\TEMP' (if unspecified, source directory is used)
-p Protocol in filename [filename.dcm -> TFE_T1.nii]: Y,N = Y
-r Reorient image to nearest orthogonal: Y,N 
-s SPM2/Analyze not SPM5/NIfTI [ignored if '-n y']: Y,N = N
-t Text report (patient and scan details): Y,N = N
-v Convert every image in the directory: Y,N = Y
-x Reorient and crop 3D NIfTI images: Y,N = N
  You can also set defaults by editing /home/mrphys/marzwi/.dcm2nii/dcm2nii.ini
EXAMPLE: dcm2nii -a y /Users/Joe/Documents/dcm/IM_0116
-->
